#!/bin/sh
echo make source tree and apply updates
tar xf gmp-4.1.4.tar
(cd gmp-4.1.4;patch gmp-impl.h ../gmp-impl.h.MPN_SIZEINBASE.diff)
(cd gmp-4.1.4;patch gmp-impl.h ../gmp-impl.h.MPF_SIGNIFICANT_DIGITS.diff)
(cd gmp-4.1.4/mpn/generic;patch rootrem.c ../../../mpn_rootrem.c.diff)
echo make clean version of 4.1.4 with gcc 3.4.3
(cd gmp-4.1.4;./configure \
	--disable-shared \
	--prefix=$HOME/local \
	--exec-prefix=$HOME/local )
(cd gmp-4.1.4;make)
(cd gmp-4.1.4;make install)
echo run developer tests
(cd gmp-4.1.4/tests;make check)
cp $HOME/local/lib/libgmp.a libgcc-gmp.a
