#!/bin/sh
echo make source tree 
tar xzf gmpbench-0.1.tar.gz
echo run benchmark baseline official code using icc and latest rag asm routines
(cd gmpbench-0.1;
	export CC=icc;
	export CFLAGS="-g -O3 -std=c99 -ansi_alias -ip \
	-I $HOME/local/include -Qoption,cpp,--extended_float_types \
	-mP2OPT_hlo_prefetch=F";
	export LIBS="-L ../ -licc-gmp -static";
	./runbench 
)
