#!/bin/sh
echo remake gmp-4.1.4 with icc 9.0.024
(cd gmp-4.1.4;make clean)
(cd gmp-4.1.4;make)
(cd gmp-4.1.4;make install)

echo update libraries with asm routines
ias rag_addmul_1.s
ias rag_addmul_2.s
ias rag_addmul_3.s
ias rag_addmul_4.s
ias rag_mul_1.s
ias rag_mul_2.s
ias rag_mul_3.s
ias rag_mul_4.s
ias rag_add_n.s
ias rag_sub_n.s
ias rag_popcount.s

ar dv $HOME/local/lib/libgmp.a \
	addmul_1.o addmul_2.o addmul_3.o addmul_4.o \
	mul_1.o mul_2.o mul_3.o mul_4.o \
	add_n.o sub_n.o popcount.o
ar rv $HOME/local/lib/libgmp.a \
	rag_addmul_1.o rag_addmul_2.o rag_addmul_3.o rag_addmul_4.o \
	rag_mul_1.o rag_mul_2.o rag_mul_3.o rag_mul_4.o \
	rag_add_n.o rag_sub_n.o rag_popcount.o
ar dv gmp-4.1.4/.libs/libgmp.a \
	addmul_1.o addmul_2.o addmul_3.o addmul_4.o \
	mul_1.o mul_2.o mul_3.o mul_4.o \
	add_n.o sub_n.o popcount.o
ar rv gmp-4.1.4/.libs/libgmp.a \
	rag_addmul_1.o rag_addmul_2.o rag_addmul_3.o rag_addmul_4.o \
	rag_mul_1.o rag_mul_2.o rag_mul_3.o rag_mul_4.o \
	rag_add_n.o rag_sub_n.o rag_popcount.o

echo run developer tests
(cd gmp-4.1.4/tests;make check)

cp $HOME/local/lib/libgmp.a libicc-gmp.a
